Kubernetes

List installed addons

get/kubernetes/{cluster_uuid}/addons

View all addons installed on a Kubernetes cluster.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

cluster_uuid*string

Responses

Successful Response

application/json

array<ClusterAddonOut>

uuid*string
addon*KubernetesAddonOut
Properties (14)
uuid*string
slug*string
name*string
description?string | null
category*string
helm_repo_name*string
helm_repo_url*string
helm_chart*string
default_version*string
namespace*string
icon_url?string | null
documentation_url?string | null
keywords?string | null
min_k8s_version?string | null
status*string
installed_version?string | null
custom_values?record<string, any> | null
error_message?string | null
installed_at?string | null
Formatdate-time
created_at*string
Formatdate-time
updated_at*string
Formatdate-time